<template>
    <div>
        <div class="container">
            <div
                class="_1adminOverveiw_table_recent _box_shadow _border_radious _mar_b30 _p20 col-md-4 mx-auto"
            >
                <div class="login-header text-center">
                    <h1>Login into Dashboard</h1>
                </div>
                <div class="space mt-3">
                    <Input
                        type="email"
                        v-model="data.email"
                        placeholder="Email"
                    />
                </div>
                <div class="space">
                    <Input
                        type="password"
                        v-model="data.password"
                        placeholder="*********"
                    />
                </div>
                <div class="login-footer text-center mt-2">
                    <Button
                        type="primary"
                        @click="login"
                        :disabled="isLogging"
                        :loading="isLogging"
                    >
                        {{ this.isLogging ? "Loging..." : "Login" }}
                    </Button>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    data() {
        return {
            data: {
                email: "",
                password: ""
            },
            isLogging: false
        };
    },
    methods: {
        async login() {
            if (this.data.email.trim() == "")
                return this.e("Email is required");
            if (this.data.password.trim() == "")
                return this.e("Password is required");
            if (this.data.password.trim().length < 6)
                return this.e("Incorrect Login Details");

            this.isLogging = true;
            const res = await this.callApi(
                "post",
                "app/admin_login",
                this.data
            );
            if (res.status === 200) {
                this.s(res.data.msg);
                window.location = "/";
            } else {
                if (res.status === 401) {
                    this.i(res.data.msg);
                } else if (res.status === 422) {
                    for (let i in res.data.errors) {
                        this.e(res.data.errors[i]);
                        console.log(res.data.errors[i][0]);
                    }
                } else {
                    this.swr();
                }
            }
            this.isLogging = false;
        }
    }
};
</script>
<style scoped>
._1adminOverveiw_table_recent {
    margin-top: 220px;
}
</style>
